/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for XRay Filter Materials
 */
public enum EnumCV_XRayFilterMaterials {

	//XRay Filter Materials - CID 10006
	MOLYBDENUM_OR_MOLYBDENUM_COMPOUND_C_150F9("C-150F9"),
	ALUMINUM_OR_ALUMINUM_COMPOUND_C_120F9("C-120F9"),
	COPPER_OR_COPPER_COMPOUND_C_127F9("C-127F9"),
	RHODIUM_OR_RHODIUM_COMPOUND_C_167F9("C-167F9"),
	NIOBIUM_OR_NIOBIUM_COMPOUND_C_1190E("C-1190E"),
	EUROPIUM_OR_EUROPIUM_COMPOUND_C_1190F("C-1190F"),
	LEAD_OR_LEAD_COMPOUND_C_132F9("C-132F9"),
	TANTALUM_OR_TANTALUM_COMPOUND_C_156F9("C-156F9"),
	SILVER_OR_SILVER_COMPOUND_C_137F9("C-137F9");
	
	private String value;

	EnumCV_XRayFilterMaterials(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
